View Issue Details

IDProjectCategoryView StatusLast Update
07810User patchesSurvey designpublic2014-01-11 09:04
Reportermfaber Assigned Tomfaber  
PriorityhighSeverityfeature 
Status closedResolutionfixed 
Product Version2.0 
Summary07810: date/time questions: Implement max/min date for calender
Description

In the date/time question only maximum and minimum years can be set but not full dates.

My plan is to expand the date/time question so the maximum and minimum date can be set that a user is allowed to pick in the calender. I do not want to add extra fields to the advanced question attributes to prevent cluttering up the user interface.

How I plan to implement:
Expand the capabilities of the dropdown_dates_year_min/dropdown_dates_year_max fields so they can take full dates. In the code I also want to check whether only a year or a full date is entered and handle this appropriately. Thus, existing surveys (with only a year entered) will continue to work as they used to.

Files planned to change: qanda_helper.php (handling of dates), date.js (minor adjustments for parameters), common_helper.php (adjust caption and help), translation (maybe...)

I started to work in beta3 and it looks pretty straightforward.

TagsNo tags attached.
Complete LimeSurvey version number (& build)130423

Relationships

related to 07224 closedmfaber Development  EM cannot work with dates (or I cannot work with EM) 
related to 07145 closedmfaber Feature requests Validation criteria fields missing for question type date&time 

Activities

mfaber

mfaber

2013-07-14 00:42

reporter   ~25791

Issued pull request: https://github.com/LimeSurvey/LimeSurvey/pull/96

mfaber

mfaber

2013-08-13 15:18

reporter   ~25995

Implemented for 2.05.
Thanks for the merge, Sammousa!

Related Changesets

LimeSurvey: 2.05 cac6f7bb

2013-08-13 12:31:53

sammousa

Details Diff
Merge pull request #96 from mfaber/datepicker5

New feature 07810: Implement max/min date for date question
Affected Issues
07810
mod - application/config/version.php Diff File
mod - application/helpers/admin/import_helper.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/helpers/update/updatedb_helper.php Diff File
mod - installer/sql/create-mssql.sql Diff File
mod - installer/sql/create-mysql.sql Diff File
mod - installer/sql/create-pgsql.sql Diff File
mod - scripts/date.js Diff File

Issue History

Date Modified Username Field Change
2013-05-06 07:00 mfaber New Issue
2013-07-09 11:09 mfaber Assigned To => mfaber
2013-07-09 11:09 mfaber Status new => assigned
2013-07-09 17:58 mfaber Description Updated View Revisions
2013-07-09 17:58 mfaber Additional Information Updated View Revisions
2013-07-14 00:42 mfaber Note Added: 25791
2013-07-25 03:55 mfaber Resolution open => fixed
2013-08-07 09:29 mfaber Relationship added related to 07224
2013-08-07 09:29 mfaber Relationship added related to 07145
2013-08-13 14:47 mfaber Changeset attached => LimeSurvey 2.05 cac6f7bb
2013-08-13 15:18 mfaber Note Added: 25995
2013-08-13 15:18 mfaber Status assigned => resolved
2014-01-11 09:04 mfaber Status resolved => closed